Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataMapper2D Class Reference

`#include <vtkPolyDataMapper2D.h>`

Inheritance diagram for vtkPolyDataMapper2D:

[legend]
Collaboration diagram for vtkPolyDataMapper2D:

[legend]
List of all members.

## Detailed Description

draw vtkPolyData onto the image plane

Date:
  2002/12/17 02:02:57

Revision:
  1.35

vtkPolyDataMapper2D is a mapper that renders 3D polygonal data (vtkPolyData) onto the 2D image plane (i.e., the renderer's viewport). By default, the 3D data is transformed into 2D data by ignoring the z-coordinate of the 3D points in vtkPolyData, and taking the x-y values as local display values (i.e., pixel coordinates). Alternatively, you can provide a vtkCoordinate object that will transform the data into local display coordinates (use the vtkCoordinate::SetCoordinateSystem() methods to indicate which coordinate system you are transforming the data from).

See also:
  vtkMapper2D vtkActor2D

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (48%)
  - Schroeder, Will (26%)
  - Biddiscombe, John (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkPolyDataMapper2D.cxx)`
  - .`h` (`/Rendering/vtkPolyDataMapper2D.h)`

Examples:
  vtkPolyDataMapper2D (Examples)

Tests:
  vtkPolyDataMapper2D (Tests)

Definition at line 65 of file vtkPolyDataMapper2D.h.

## Public Types
typedef vtkMapper2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | CreateDefaultLookupTable ()
const char * | GetColorModeAsString ()
virtual unsigned long | GetMTime ()
vtkUnsignedCharArray * | MapScalars (float alpha)
void | ShallowCopy (vtkAbstractMapper *m)
virtual void | SetInput (vtkPolyData *)
virtual vtkPolyData * | GetInput ()
void | SetLookupTable (vtkScalarsToColors *lut)
vtkScalarsToColors * | GetLookupTable ()
virtual void | SetScalarVisibility (int)
virtual int | GetScalarVisibility ()
virtual void | ScalarVisibilityOn ()
virtual void | ScalarVisibilityOff ()
virtual void | SetColorMode (int)
virtual int | GetColorMode ()
void | SetColorModeToDefault ()
void | SetColorModeToMapScalars ()
virtual void | SetUseLookupTableScalarRange (int)
virtual int | GetUseLookupTableScalarRange ()
virtual void | UseLookupTableScalarRangeOn ()
virtual void | UseLookupTableScalarRangeOff ()
virtual void | SetScalarRange (float, float)
void | SetScalarRange (float[2])
virtual float * | GetScalarRange ()
virtual void | GetScalarRange (float data[2])
virtual void | SetScalarMode (int)
virtual int | GetScalarMode ()
void | SetScalarModeToDefault ()
void | SetScalarModeToUsePointData ()
void | SetScalarModeToUseCellData ()
void | SetScalarModeToUsePointFieldData ()
void | SetScalarModeToUseCellFieldData ()
void | ColorByArrayComponent (int arrayNum, int component)
void | ColorByArrayComponent (char *arrayName, int component)
char * | GetArrayName ()
int | GetArrayId ()
int | GetArrayAccessMode ()
int | GetArrayComponent ()
virtual void | SetTransformCoordinate (vtkCoordinate *)
virtual vtkCoordinate * | GetTransformCoordinate ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPolyDataMapper2D * | SafeDownCast (vtkObject *o)
vtkPolyDataMapper2D * | New ()
## Protected Methods
| vtkPolyDataMapper2D ()
| ~vtkPolyDataMapper2D ()
## Protected Attributes
vtkPolyData * | Input
vtkUnsignedCharArray * | Colors
vtkScalarsToColors * | LookupTable
int | ScalarVisibility
vtkTimeStamp | BuildTime
float | ScalarRange [2]
int | UseLookupTableScalarRange
int | ColorMode
int | ScalarMode
vtkCoordinate * | TransformCoordinate
int | ArrayId
char | ArrayName [256]
int | ArrayComponent
int | ArrayAccessMode

## Member Typedef Documentation

typedef vtkMapper2D vtkPolyDataMapper2D::Superclass

| Reimplemented from vtkMapper2D. Reimplemented in vtkMesaPolyDataMapper2D, vtkOpenGLPolyDataMapper2D, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D. Definition at line 68 of file vtkPolyDataMapper2D.h.

## Constructor & Destructor Documentation

vtkPolyDataMapper2D::vtkPolyDataMapper2D | ( |  | ) | `[protected]`

vtkPolyDataMapper2D::~vtkPolyDataMapper2D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkPolyDataMapper2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkMapper2D. Reimplemented in vtkMesaPolyDataMapper2D, vtkOpenGLPolyDataMapper2D, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

int vtkPolyDataMapper2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMapper2D. Reimplemented in vtkMesaPolyDataMapper2D, vtkOpenGLPolyDataMapper2D, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

virtual int vtkPolyDataMapper2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMapper2D. Reimplemented in vtkMesaPolyDataMapper2D, vtkOpenGLPolyDataMapper2D, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

vtkPolyDataMapper2D* vtkPolyDataMapper2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkMapper2D. Reimplemented in vtkMesaPolyDataMapper2D, vtkOpenGLPolyDataMapper2D, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

vtkPolyDataMapper2D* vtkPolyDataMapper2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkMesaPolyDataMapper2D, vtkOpenGLPolyDataMapper2D, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

void vtkPolyDataMapper2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkMapper2D. Reimplemented in vtkMesaPolyDataMapper2D, vtkOpenGLPolyDataMapper2D, vtkWin32PolyDataMapper2D, and vtkXPolyDataMapper2D.

virtual void vtkPolyDataMapper2D::SetInput | ( | vtkPolyData * |  | ) | `[virtual]`

| Set the input to the mapper.

virtual vtkPolyData* vtkPolyDataMapper2D::GetInput | ( |  | ) | `[virtual]`

| Set the input to the mapper.

void vtkPolyDataMapper2D::SetLookupTable | ( | vtkScalarsToColors * | lut | ) |

| Specify a lookup table for the mapper to use.

vtkScalarsToColors* vtkPolyDataMapper2D::GetLookupTable | ( |  | ) |

| Specify a lookup table for the mapper to use.

virtual void vtkPolyDataMapper2D::CreateDefaultLookupTable | ( |  | ) | `[virtual]`

| Create default lookup table. Generally used to create one when none is available with the scalar data.

virtual void vtkPolyDataMapper2D::SetScalarVisibility | ( | int |  | ) | `[virtual]`

| Turn on/off flag to control whether scalar data is used to color objects.

virtual int vtkPolyDataMapper2D::GetScalarVisibility | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether scalar data is used to color objects.

virtual void vtkPolyDataMapper2D::ScalarVisibilityOn | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether scalar data is used to color objects.

virtual void vtkPolyDataMapper2D::ScalarVisibilityOff | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether scalar data is used to color objects.

virtual void vtkPolyDataMapper2D::SetColorMode | ( | int |  | ) | `[virtual]`

| Control how the scalar data is mapped to colors. By default (ColorModeToDefault), unsigned char scalars are treated as colors, and NOT mapped through the lookup table, while everything else is. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table. (Note that for multi-component scalars, the particular component to use for mapping can be specified using the ColorByArrayComponent() method.)

virtual int vtkPolyDataMapper2D::GetColorMode | ( |  | ) | `[virtual]`

| Control how the scalar data is mapped to colors. By default (ColorModeToDefault), unsigned char scalars are treated as colors, and NOT mapped through the lookup table, while everything else is. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table. (Note that for multi-component scalars, the particular component to use for mapping can be specified using the ColorByArrayComponent() method.)

void vtkPolyDataMapper2D::SetColorModeToDefault | ( |  | ) |

| Control how the scalar data is mapped to colors. By default (ColorModeToDefault), unsigned char scalars are treated as colors, and NOT mapped through the lookup table, while everything else is. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table. (Note that for multi-component scalars, the particular component to use for mapping can be specified using the ColorByArrayComponent() method.)

void vtkPolyDataMapper2D::SetColorModeToMapScalars | ( |  | ) |

| Control how the scalar data is mapped to colors. By default (ColorModeToDefault), unsigned char scalars are treated as colors, and NOT mapped through the lookup table, while everything else is. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table. (Note that for multi-component scalars, the particular component to use for mapping can be specified using the ColorByArrayComponent() method.)

const char* vtkPolyDataMapper2D::GetColorModeAsString | ( |  | ) |

| Return the method of coloring scalar data.

virtual void vtkPolyDataMapper2D::SetUseLookupTableScalarRange | ( | int |  | ) | `[virtual]`

| Control whether the mapper sets the lookuptable range based on its own ScalarRange, or whether it will use the LookupTable ScalarRange regardless of it's own setting. By default the Mapper is allowed to set the LookupTable range, but users who are sharing LookupTables between mappers/actors will probably wish to force the mapper to use the LookupTable unchanged.

virtual int vtkPolyDataMapper2D::GetUseLookupTableScalarRange | ( |  | ) | `[virtual]`

| Control whether the mapper sets the lookuptable range based on its own ScalarRange, or whether it will use the LookupTable ScalarRange regardless of it's own setting. By default the Mapper is allowed to set the LookupTable range, but users who are sharing LookupTables between mappers/actors will probably wish to force the mapper to use the LookupTable unchanged.

virtual void vtkPolyDataMapper2D::UseLookupTableScalarRangeOn | ( |  | ) | `[virtual]`

| Control whether the mapper sets the lookuptable range based on its own ScalarRange, or whether it will use the LookupTable ScalarRange regardless of it's own setting. By default the Mapper is allowed to set the LookupTable range, but users who are sharing LookupTables between mappers/actors will probably wish to force the mapper to use the LookupTable unchanged.

virtual void vtkPolyDataMapper2D::UseLookupTableScalarRangeOff | ( |  | ) | `[virtual]`

| Control whether the mapper sets the lookuptable range based on its own ScalarRange, or whether it will use the LookupTable ScalarRange regardless of it's own setting. By default the Mapper is allowed to set the LookupTable range, but users who are sharing LookupTables between mappers/actors will probably wish to force the mapper to use the LookupTable unchanged.

virtual void vtkPolyDataMapper2D::SetScalarRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify range in terms of scalar minimum and maximum (smin,smax). These values are used to map scalars into lookup table. Has no effect when UseLookupTableScalarRange is true.

void vtkPolyDataMapper2D::SetScalarRange | ( | float | [2] | ) |

| Specify range in terms of scalar minimum and maximum (smin,smax). These values are used to map scalars into lookup table. Has no effect when UseLookupTableScalarRange is true.

virtual float* vtkPolyDataMapper2D::GetScalarRange | ( |  | ) | `[virtual]`

| Specify range in terms of scalar minimum and maximum (smin,smax). These values are used to map scalars into lookup table. Has no effect when UseLookupTableScalarRange is true.

virtual void vtkPolyDataMapper2D::GetScalarRange | ( | float | data[2] | ) | `[virtual]`

| Specify range in terms of scalar minimum and maximum (smin,smax). These values are used to map scalars into lookup table. Has no effect when UseLookupTableScalarRange is true.

virtual void vtkPolyDataMapper2D::SetScalarMode | ( | int |  | ) | `[virtual]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call ColorByArrayComponent before you call GetColors.

virtual int vtkPolyDataMapper2D::GetScalarMode | ( |  | ) | `[virtual]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call ColorByArrayComponent before you call GetColors.

void vtkPolyDataMapper2D::SetScalarModeToDefault | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call ColorByArrayComponent before you call GetColors. Definition at line 146 of file vtkPolyDataMapper2D.h. References VTK_SCALAR_MODE_DEFAULT.

void vtkPolyDataMapper2D::SetScalarModeToUsePointData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call ColorByArrayComponent before you call GetColors. Definition at line 148 of file vtkPolyDataMapper2D.h. References VTK_SCALAR_MODE_USE_POINT_DATA.

void vtkPolyDataMapper2D::SetScalarModeToUseCellData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call ColorByArrayComponent before you call GetColors. Definition at line 150 of file vtkPolyDataMapper2D.h. References VTK_SCALAR_MODE_USE_CELL_DATA.

void vtkPolyDataMapper2D::SetScalarModeToUsePointFieldData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call ColorByArrayComponent before you call GetColors. Definition at line 152 of file vtkPolyDataMapper2D.h. References VTK_SCALAR_MODE_USE_POINT_FIELD_DATA.

void vtkPolyDataMapper2D::SetScalarModeToUseCellFieldData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call ColorByArrayComponent before you call GetColors. Definition at line 154 of file vtkPolyDataMapper2D.h. References VTK_SCALAR_MODE_USE_CELL_FIELD_DATA.

void vtkPolyDataMapper2D::ColorByArrayComponent | ( | int | arrayNum,
|  | int | component
| ) |

| Choose which component of which field data array to color by.

void vtkPolyDataMapper2D::ColorByArrayComponent | ( | char * | arrayName,
|  | int | component
| ) |

| Choose which component of which field data array to color by.

char* vtkPolyDataMapper2D::GetArrayName | ( |  | ) | `[inline]`

| Get the array name or number and component to color by. Definition at line 166 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::GetArrayId | ( |  | ) | `[inline]`

| Get the array name or number and component to color by. Definition at line 167 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::GetArrayAccessMode | ( |  | ) | `[inline]`

| Get the array name or number and component to color by. Definition at line 168 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::GetArrayComponent | ( |  | ) | `[inline]`

| Get the array name or number and component to color by. Definition at line 169 of file vtkPolyDataMapper2D.h.

virtual unsigned long vtkPolyDataMapper2D::GetMTime | ( |  | ) | `[virtual]`

| Overload standard modified time function. If lookup table is modified, then this object is modified as well. Reimplemented from vtkAbstractMapper.

virtual void vtkPolyDataMapper2D::SetTransformCoordinate | ( | vtkCoordinate * |  | ) | `[virtual]`

| Specify a vtkCoordinate object to be used to transform the vtkPolyData point coordinates. By default (no vtkCoordinate specified), the point coordinates are taken as local display coordinates.

virtual vtkCoordinate* vtkPolyDataMapper2D::GetTransformCoordinate | ( |  | ) | `[virtual]`

| Specify a vtkCoordinate object to be used to transform the vtkPolyData point coordinates. By default (no vtkCoordinate specified), the point coordinates are taken as local display coordinates.

vtkUnsignedCharArray* vtkPolyDataMapper2D::MapScalars | ( | float | alpha | ) |

| Map the scalars (if there are any scalars and ScalarVisibility is on) through the lookup table, returning an unsigned char RGBA array. This is typically done as part of the rendering process. The alpha parameter allows the blending of the scalars with an additional alpha (typically which comes from a vtkActor, etc.)

void vtkPolyDataMapper2D::ShallowCopy | ( | vtkAbstractMapper * | m | ) |

| Make a shallow copy of this mapper. Reimplemented from vtkAbstractMapper.

## Member Data Documentation

vtkPolyData* vtkPolyDataMapper2D::Input`[protected]`

| Definition at line 199 of file vtkPolyDataMapper2D.h.

vtkUnsignedCharArray* vtkPolyDataMapper2D::Colors`[protected]`

| Definition at line 201 of file vtkPolyDataMapper2D.h.

vtkScalarsToColors* vtkPolyDataMapper2D::LookupTable`[protected]`

| Definition at line 203 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::ScalarVisibility`[protected]`

| Definition at line 204 of file vtkPolyDataMapper2D.h.

vtkTimeStamp vtkPolyDataMapper2D::BuildTime`[protected]`

| Definition at line 205 of file vtkPolyDataMapper2D.h.

float vtkPolyDataMapper2D::ScalarRange[2]`[protected]`

| Definition at line 206 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::UseLookupTableScalarRange`[protected]`

| Definition at line 207 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::ColorMode`[protected]`

| Definition at line 208 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::ScalarMode`[protected]`

| Definition at line 209 of file vtkPolyDataMapper2D.h.

vtkCoordinate* vtkPolyDataMapper2D::TransformCoordinate`[protected]`

| Definition at line 211 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::ArrayId`[protected]`

| Definition at line 214 of file vtkPolyDataMapper2D.h.

char vtkPolyDataMapper2D::ArrayName[256]`[protected]`

| Definition at line 215 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::ArrayComponent`[protected]`

| Definition at line 216 of file vtkPolyDataMapper2D.h.

int vtkPolyDataMapper2D::ArrayAccessMode`[protected]`

| Definition at line 217 of file vtkPolyDataMapper2D.h.

The documentation for this class was generated from the following file:

- Rendering/vtkPolyDataMapper2D.h